NetBSD-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Gnome

On Tue, Aug 25, 2009 at 10:04:53AM -0000, David Lord wrote:
> On 24 Aug 2009 at 18:26, Arthur Barlow wrote:
> > I know I'm foolish to even attempt this, but I thought I'd try and see is I
> > could run Gnome on NetBSD.  So far, no luck.  I have done a "make install"
> > in /usr/pkgsrc/meta-pkgs/gnome2, and it appears that all packages,
> > (ridiculous amounts as only Gnome can), are built.  I've set my ".xinitrc"
> > file to "exec /usr/pkg/bin/gnome-session."  I cannot find a correct syntax
> > to launch dbus from rc.conf, though I've tried "dbus-launch=YES", which
> > appears to do nothing.  Even if I manually start dbus-launch from root, when
> > I try to run startx with the above mentioned .xinitrc file I get an error,
> > "CRITICAL: dbus_g_connection_get_connection: assertion 'gconnection'
> > failed."
> > I don't know if I need "devd" or "hald" somehow loaded at boot up time, but
> > I would appreciate any guidance.  Thanks
> > 
> > P.S. I'm using NetBSD 5.0 on an Athlon Duron MSI motherboard.
> I have three notebooks and two desktops running NetBSD including
> gnome. Not everything works on all of them, usually problems with
> sound even though it may have worked on same system with earlier
> version of NetBSD. All use i386 build although one desktop is amd. 
> The systems also have Ubuntu 9.04 and issues with sound are same.
> I don't have video recording working yet but playing video works
> ok. I'm not sure I have dbus working properly either. There are
> a few packages I use on each O/S that aren't available or don't
> work too well on other O/S. Minimum system is a 366MHz 384MB ram
> Dell notebook and sound no longer works from either O/S but was
> ok from NetBSD-3 but gnome didn't seem a possibility then.
> Getting there wasn't easy and Gnome is a moving target.
> I'd suggest you first try from packages rather than building from
> source. I have a p4-2666 for building for NetBSD-5 and p4-2400 for
> 3.x and 4.x but generally upgrading the lot to 5.x. Other systems
> then install binary packages from the two build systems. Currently
> package count on NetBSD-5.0.1 is at 1080 although that includes
> packages used on the servers.
> David
Does OSS4 work for sound?
My Profile:

Being informed is a right!

Home | Main Index | Thread Index | Old Index